## nxtrim 0.4.3%2Bdfsg

=== Makefile ===
CXX ?= g++
CC ?= gcc


CXXFLAGS ?= -O2
LFLAGS = -lz

all: nxtrim

debug: CXXFLAGS += -Wall -g
debug: all

GIT_HASH := $(shell git describe --abbrev=4 --always )

VERSION = v0.4.3
GIT_VERSION =
ifneq "$(wildcard .git)" ""
GIT_VERSION = -$(shell git describe --always)
endif
version.h:
	echo '#define VERSION "$(VERSION)$(GIT_VERSION)"' > $@

OBJS=matepair.o fastqlib.o utilityfunc.o

.cpp.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<

nxtrim: nxtrim.cpp $(OBJS) version.h
	$(CXX) $(CXXFLAGS) nxtrim.cpp $(OBJS)  $(LFLAGS) -o $@
matepair.o: matepair.cpp matepair.h fastqlib.h
fastqlib.o: fastqlib.cpp fastqlib.h utilityfunc.h
utilityfunc.o:  utilityfunc.cpp utilityfunc.h
test: nxtrim
	bash -e example/run_test.sh
ecmg: nxtrim
	cd test/;bash -e ecmg.sh
clean:
	rm $(OBJS) nxtrim test version.h
	rm -rf test/output_dir/
	rm test/*bam test/*pe.fastq.gz test/*mp.fastq.gz  test/*unknown.fastq.gz

=== debian/watch ===
Version: 5

Template: Github
Owner: sequencing
Project: NxTrim
Dversion-Mangle: auto
Repacksuffix: +dfsg

## nxtrim 0.4.3+dfsg

=== debian/changelog ===
nxtrim (0.4.3+dfsg-4) unstable; urgency=medium

  * Team upload
  * Cleanup after running build time test
    Closes: #1045354
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Dec 2024 22:12:03 +0100

nxtrim (0.4.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2022 16:27:49 +0100

nxtrim (0.4.3+dfsg-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 19 May 2021 15:14:01 +0530

nxtrim (0.4.3+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #986421)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 Apr 2021 19:22:42 +0530

=== debian/control ===
Source: nxtrim
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nilesh Patra <nilesh@debian.org>
Build-Depends: debhelper-compat (= 13), zlib1g-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/nxtrim
Vcs-Git: https://salsa.debian.org/med-team/nxtrim.git
Homepage: https://github.com/sequencing/NxTrim
Rules-Requires-Root: no

Package: nxtrim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3
Description: Optimized trimming of Illumina mate pair reads
 This package helps rmove Nextera Mate Pair junction adapters
 and categorise reads according to the orientation implied
 by the adapter location.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cp -a example example.bak
	dh_auto_test
	rm -rf example
	mv example.bak example
endif

=== debian/watch ===
version=4

opts=\
repacksuffix=+dfsg,\
dversionmangle=auto,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% \
https://github.com/sequencing/NxTrim/tags .*/v?@ANY_VERSION@\.tar\.gz
